Divio Cloud offers Beta support for PostGIS/GeoDjango. To activate it, the following requirements need to be fulfilled:

  • Divio CLI 2.3.2 (or higher)
  • Baseproject 3.15 (or higher)
  • Divio Django 1.8.13.7 (or higher) or 1.9.7.8 (or higher)
  • Enable django.contrib.gis in the Aldryn Django Addon configuration

Note: Requires PostGIS (contact support to enable it for your project).
For local development change "postgres:9.4" to "mdillon/postgis:9.4" in docker-compose.yml and run "divio project up" to re-create the db container.

Did this answer your question?